TESTING/LIN/cgennd.f(3)

NAME
TESTING/LIN/cgennd.f

SYNOPSIS

  Functions/Subroutines
logical function cgennd (m, n, a, lda)
CGENND

Function/Subroutine Documentation

  logical function cgennd (integer m, integer n, complex, dimension( lda, * ) a, integer lda)

CGENND

Purpose:

    !>
    !>    CGENND tests that its argument has a real, non-negative diagonal.
    !>

Parameters
    M

    !>          M is INTEGER
    !>          The number of rows in A.
    !>

    N

    !>          N is INTEGER
    !>          The number of columns in A.
    !>

    A

    !>          A is COMPLEX array, dimension (LDA, N)
    !>          The matrix.
    !>

    LDA

    !>          LDA is INTEGER
    !>          Leading dimension of A.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 67 of file cgennd.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.